Subject: Re: bug#35592: Use display-buffer-in-direction for completion-like windows

From: Juri Linkov <[email-masked]>
Date: Wed, 08 May 2019 22:32:10 +0300

>> Only a small plea: could you please add an alias ‘(direction . bottom)’
>> as a shorthand for ‘(direction . below) (window . main)’
>>
>> Similarly:
>> top = (direction . above) (window . main)
>> bottom = (direction . below) (window . main)
>> leftmost = (direction . left) (window . main)
>> rightmost = (direction . right) (window . main)
>
> Patch attached.

Thanks!  I tested it, and it works nicely.

> But notice that these semantically clash with what you
> earlier wanted for 'split-window':
>
> 		    ((eq side 'above) 'top)
> 		    ((eq side 'below) 'bottom)

I remember that recently you added these aliases:

  up -> above
  down -> below

that fits well into this scheme.

But I don't know about

  above -> top
  below -> bottom

These are some earlier additions.  Is there a problem with these aliases?